Page MenuHomePhabricator

Fix two undefined variables in Question.php
Closed, ResolvedPublic

Description

Getting started

MediaWiki's Quiz extension is an extension that allows people to write quizzes in wikitext on wikiversity (i.e. https://en.wikiversity.org/wiki/Wikiversity:Main_Page)

Install mediawiki locally. It is easiest (often) to use Vagrant for this. Enable Quiz as a role.

You can test that the extension is working by adding a sample quiz to your test wiki in wikitext. The quiz syntax is well documented here.

You can find the quiz extension in the vagrant repository by navigating to mediawiki/extensions/Quiz. If you haven't already, you will need to set up git, gerrit, and git-review, and install a gerrit hook to begin submitting commits to the Quiz extension.

Bug

Logs are reporting that two lines in the code have undefined variables. These variables should be defined:

1 Undefined variable: text in /srv/mediawiki/php-1.31.0-wmf.12/extensions/Quiz/Question.php on line 458
1 Undefined variable: rawClass in /srv/mediawiki/php-1.31.0-wmf.12/extensions/Quiz/Question.php on line 457

Event Timeline

Reedy created this task.Dec 15 2017, 1:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 15 2017, 1:16 AM
Mvolz added a subscriber: Mvolz.Dec 18 2017, 5:36 PM

Potentially good for Google-Code-in-2017?

Mvolz moved this task from Backlog to Bugs on the MediaWiki-extensions-Quiz board.Dec 31 2017, 8:17 AM
Mvolz updated the task description. (Show Details)Dec 31 2017, 8:28 AM
Fz-29 added a subscriber: Fz-29.Dec 31 2017, 4:32 PM

Is someone mentoring this? If not, I m willing to mentor this task?

Aklapper renamed this task from Question.php undefined variables to Fix two undefined variables in Question.php.Dec 31 2017, 4:35 PM
Aklapper updated the task description. (Show Details)

Change 404433 had a related patch set uploaded (by Mvolz; owner: L10n-bot):
[mediawiki/extensions/Quiz@master] Fix Undefined Variable Bug

https://gerrit.wikimedia.org/r/404433

Change 404433 merged by jenkins-bot:
[mediawiki/extensions/Quiz@master] Fix Undefined Variable Bug

https://gerrit.wikimedia.org/r/404433

matej_suchanek closed this task as Resolved.Feb 2 2018, 9:18 PM
matej_suchanek assigned this task to Eisenhaus335.